Get extraction template
GET
/api/v1/extraction-mappings/{id}
const url = 'https://api.yggy.tech/api/v1/extraction-mappings/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.yggy.tech/api/v1/extraction-mappings/example \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Responses
Section titled “ Responses ”Template found
Media type application/json
object
id
required
string
externalId
required
string
name
required
string
description
string
format
required
string
mappingJson
required
string
schemaHeaders
Array<string>
customInstructions
string
isTemplate
required
boolean
builtIn
required
boolean
createdAt
string
updatedAt
string
Example generated
{ "id": "example", "externalId": "example", "name": "example", "description": "example", "format": "example", "mappingJson": "example", "schemaHeaders": [ "example" ], "customInstructions": "example", "isTemplate": true, "builtIn": true, "createdAt": "example", "updatedAt": "example"}Not found
Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
required
string
details
Example
{ "success": false, "error": { "code": "INTERNAL_ERROR" }}